import { OnInit, AfterViewInit, EventEmitter } from '@angular/core';
import { ModalControl } from '../../../modal-control/modal-control.component';
import { GridColumn, GridExternalFilter } from '../../grid-control.model';
import { NotifyService } from '../../../../services/notify/notify.service';
import { DeviceDetectorService } from 'ngx-device-detector';
export declare class GridPopupQuickFilterDetailComponent implements OnInit, AfterViewInit {
    private notifyService;
    displayKey: string;
    isMobileOrTablet: boolean;
    modal: ModalControl;
    accept: EventEmitter<any>;
    fields: Field[];
    selectableFields: Field[];
    columns: GridColumn[];
    externalFilters: GridExternalFilter[];
    filter: Filter;
    externalFilter: Filter;
    selectedField: {
        [key: string]: boolean;
    };
    page: 1 | 2;
    code: string;
    constructor(deviceService: DeviceDetectorService, notifyService: NotifyService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    open(columns: GridColumn[], externalFilters: GridExternalFilter[], filter?: Filter, externalFilter?: Filter, code?: string): void;
    onAccept: () => void;
    onCancel: () => void;
    onSelectField: (values: string[]) => void;
    onSelectFields: () => void;
}
interface Field {
    id: string;
    group: 'column' | 'external';
    type: string;
    code: string;
    title?: string;
    fromTitle?: string;
    toTitle?: string;
    [key: string]: any;
}
interface Filter {
    [field: string]: any;
}
export {};
